CVE-2004-1329
CVSS7.2
发布时间 :2004-12-20 00:00:00
修订时间 :2016-10-17 22:53:16
NMCO    

[原文]Untrusted execution path vulnerability in the diag commands (1) lsmcode, (2) diag_exec, (3) invscout, and (4) invscoutd in AIX 5.1 through 5.3 allows local users to execute arbitrary programs by modifying the DIAGNOSTICS environment variable to point to a malicious Dctrl program.


[CNNVD]IBM AIX Diag本地特权提升漏洞(CNNVD-200412-077)

        AIX 5.1至5.3版本的诊断命令存在不可信的执行路径漏洞,这些诊断命令包括(1)lsmcode, (2)diag_exec,(3)invscout,和(4)invscoutd 。本地用户通过修改恶意Dctrl程序端口的
        DIAGNOSTICS环境变量执行任意文件。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:5.2IBM AIX 5.2
cpe:/o:ibm:aix:5.1IBM AIX 5.1
cpe:/o:ibm:aix:5.3IBM AIX 5.3
cpe:/o:ibm:aix:5.2_lIBM AIX 5.2 L
cpe:/o:ibm:aix:5.3_lIBM AIX 5.3 L
cpe:/o:ibm:aix:5.1lIBM AIX 5.1L
cpe:/o:ibm:aix:5.2.2IBM AIX 5.2.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1329
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1329
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-077
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110355931920123&w=2
(UNKNOWN)  BUGTRAQ  20041220 AIX 5.1/5.2/5.3 local root exploits
http://milw0rm.com/exploits/701
(UNKNOWN)  MILW0RM  701
http://www-1.ibm.com/support/search.wss?rs=0&q=IY64277&apar=only
(VENDOR_ADVISORY)  AIXAPAR  IY64277
http://www-1.ibm.com/support/search.wss?rs=0&q=IY64389&apar=only
(VENDOR_ADVISORY)  AIXAPAR  IY64389
http://www.securityfocus.com/archive/1/archive/1/464276/100/0/threaded
(UNKNOWN)  BUGTRAQ  20070330 AIX 4.3 lsmcode local root command execution
http://www.securityfocus.com/archive/1/archive/1/464481/100/0/threaded
(UNKNOWN)  BUGTRAQ  20070402 Re: AIX 4.3 lsmcode local root command execution
http://www.securityfocus.com/bid/12041
(VENDOR_ADVISORY)  BID  12041
http://xforce.iss.net/xforce/xfdb/18620
(VENDOR_ADVISORY)  XF  aix-diagnostics-gain-privileges(18620)

- 漏洞信息

IBM AIX Diag本地特权提升漏洞
高危 访问验证错误
2004-12-20 00:00:00 2005-10-20 00:00:00
本地  
        AIX 5.1至5.3版本的诊断命令存在不可信的执行路径漏洞,这些诊断命令包括(1)lsmcode, (2)diag_exec,(3)invscout,和(4)invscoutd 。本地用户通过修改恶意Dctrl程序端口的
        DIAGNOSTICS环境变量执行任意文件。
        

- 公告与补丁

        IBM has released fixes to address this issue:
        IBM AIX 5.1
        
        IBM AIX 5.2
        
        IBM AIX 5.3
        
        IBM AIX 5.1 L
        
        IBM AIX 5.2 L
        
        IBM AIX 5.2.2
        
        IBM AIX 5.3 L
        

- 漏洞信息

12529
IBM AIX Dctrl Environment Variable Path Subversion Privilege Escalation
Exploit Commercial

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-12-20 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站